Menu

Služby Google Play ukončí podporu Androidu Gingerbread a Honeycomb

sluzby-google-play-gingerbread-honeycomb_ico

Vývojáři aplikací se budou muset obejít bez podpory Androidu 2.3 Gingerbread a 3.x Honeycomb. Společnost Google totiž oznámila, že Služby Google Play (Google Play Services) v současné verzi 10.0.0 jsou poslední, které budou podporovat až šest let starý systém respektive aplikační rozhraní API 9. Příští verze s číslem 10.2.0, jejíž vydání je plánováno na začátek roku 2017, bude podporovat jen Android 4.0.1 Ice Cream Sandwich a vyšší, tedy API 14. Přesný termín ukončení podpory však zatím není znám.

Služby Google Play poskytují vývojářům sadu softwarových knihoven, skrze které mohou do svých aplikací přidávat celou řadu funkcí. Ukončení podpory Androidu 2.3 a 3.x se týká také klientské knihovny pro Android Firebase.

Služby Google Play ukončí podporu Androidu Gingerbread a Honeycomb

Služby Google Play ukončí podporu Androidu Gingerbread a Honeycomb

Služby Google Play už nebudou podporovat šest let starou verzi systému

Důvody k ukončení podpory ve Službách Google Play jsou vcelku pochopitelné. Android 2.3 Gingerbread byl představen v září 2010 a podle posledních dat v současnosti běží jen na 1,3 % zařízení, přičemž Google je přesvědčen, že se nejedná o aktivně používané telefony a tablety. Kromě toho většina aplikací už dnes Gingerbread sama o sobě nepodporuje. Ukončení podpory v rámci Služeb Google Play má otevřít možnost poskytovat robustnější a rychlejší sady nástrojů pro vývojáře. Lze také předpokládat, že na toto rozhodnutí má vliv i snaha o snížení fragmentace OS Android.

Google Play Services tedy na Androidu 2.3 a 3.x budou i nadále fungovat, ovšem zůstanou ve verzi 10.0.x. Pokud však vývojář vytvoření aplikaci pomocí SDK po Služby Google Play 10.2, na uvedených verzích program nepoběží. Jednou z cest, jak udržet podporu pro Gingerbread, je udržování samostatného APK balíčku, postaveného a kompilovaného ve starší verzi SDK.

Ukončení podpory tedy bude mít dopad především na vývojáře aplikací. Současně je ale signálem, že Google pomalu ale jistě ukončuje podporu starších verzí svého mobilního operačního systému. Logicky se na mysl vkrádá otázka, kdy skončí podpora Androidu 4.0.x Ice Cream Sandwich, který běží na téměř stejném počtu zařízení jako Gingerbread.

Používáte ještě nějaké zařízení s Androidem 2.3 Gingerbread? Pokud ano, myslíte, že se vás ukončení podpory na počátku roku 2017 nějak dotkne? Diskuze pod článkem je tu pro vaše názory!

Zdroje: androidauthority.com, android-developers.blogspot.cz, techradar.com, phandroid.com, chezasite.com, androidpolice.com.

Komentáře

coyd

25.11.2016 10:10

“snaha o snížení defragmentace OS Android” – nemá tam být náhodou jen “fragmentace ? O onu de-fragmentaci se právě Google snaží, tedy česky snížení/odstranění roztříštěnosti.

policak

25.11.2016 10:19

Snaží se snížit fragmentaci, nikoliv defragmentaci. Pokud ale tvrdí, že zařízení s tímto OS už nejsou aktivně používaná, asi to nebude na fragmentaci mít vliv. Ukončení podpory se nedotkne nikoho, protože zařízení, která běžela na GB, mají tak slabou HW konfiguraci, že už na ně minimálně dva roky pozpátku žádnou novou verzi aplikací nenainstalujete. Pokud ještě někdo takového veterána má, rozhodně ho nepoužívá aktivně.

Dawin

25.11.2016 10:51

Dotkne se.. Takova legendarni S2 kterou na firme jeste pouzivame…

Ehec

z aplikace
25.11.2016 10:56

Nedotkne já mám na S2 lollipop. Neofic samo.

Karelk

Karel Kiliánexternista -1

25.11.2016 11:35

To: coyd a policak. Máte pravdu. Děkuji za upozornění. Opravil jsem.

Norman Csiszár

25.11.2016 11:58

Me to celkem zamrzi.. Mam v aute autoradio ktere bezi na androidu 2.3 a cena byla jako dva vlajkove telefony… zrovna nemala castka a uz ted jsem mel problem nektere aplikace aktualizovat. Bezi mi tam 3 roky stary Sygic/i starsi mapy (je dobry, ale ne aktualni, hlavne v zahranici, nase silnice se zas tak zasadne nemenej), nemoznost stahnuti novejsich google map a bezet treba na offline podkladech.. Pri porizovani me tenhle problem castych Android verzi nenapadl :-/

Uni

uni -2

25.11.2016 12:51

Asi pomře nemálo Android sticků a TV krabiček.
Norman Csiszár: To jsi špatně pochopil téma, není to o množství verzí, ale o věku. 2.3 je vlastně přesně 6 let zpět. Ano, odstřelit si to fakt zaslouží. To, že ti výrobce třeba na stále adekvátní HW neposkytl žádný update na 4.0 (3ku vynechme) není problém Google, ani viník.

policak

25.11.2016 16:03

Dawin Pokud ji pouzivate, budete ji moct pouzivat i dal. Jen pro vas nebudou aktualizovane aplikace, ale ruku na srdce, vy s nim nejspis jen volate a obcas poslete mailem fotku, to pujde i nadale.

RSS (komentáře k článku)